• Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 2447
  • Last Modified:

cannot install .net 3.5 on Windows 7

I cannot get .net 3.5 to install. I am logged in as the admin of the domain and I downloaded the full version of 3.5. It says: This program might not have installed correctly.

nothing is in the event log. what could be blocking it from installing. I don't see anyother .net in the add remove programs.

when it exctracts it is going to wcu\.\.\.\.\.dotnet.......

I have disabled the virus software so that isn't it.

This is a win 7 pro on a sbs2008 domain.
0
calitech
Asked:
calitech
  • 6
  • 6
  • 3
  • +4
1 Solution
 
Paul JacksonCommented:
Try logging on to the machine locally with a local administrator account that usually works for me.
0
 
John HurstBusiness Consultant (Owner)Commented:
In Windows 7, .NET Framework does not live in Programs and Features main list. Look in Programs and Features, then look on the left for Windows Features, click on that, and look down the list. .NET Framework 3.5 is there on my list. Click on it to enable it. Once done, you will probably have to restart. ... Thinkpads_User
0
 
calitechAuthor Commented:
how do I remove it and reinstall it? I clicked on the features and selected it but still no luck. I can't event install the SP2 version.
0
What does it mean to be "Always On"?

Is your cloud always on? With an Always On cloud you won't have to worry about downtime for maintenance or software application code updates, ensuring that your bottom line isn't affected.

 
calitechAuthor Commented:
My main error is in Peachtree, was working but now it says: Peachtree Accounting could not be started because Microsoft .Net Framwork 3.5 is missing or damaged.
I have downloaded the full 3.5 pack and the SP2 pack but no luck.
Both options in the program and features is selected.
0
 
Jackie ManCommented:
Try to un-install the anti-virus software and try to install .net 3.5 again.
0
 
David Johnson, CD, MVPOwnerCommented:
fyi .net is now supported by sfc so perhaps sfc /scannow is in order
0
 
ded9Commented:
Install .net framework 4.0 and that will repair your .net.

http://www.microsoft.com/downloads/en/details.aspx?familyid=9cfb2d51-5ff4-4491-b0e5-b386f32c0992&displaylang=en


Try it...should resolve your issue.


Ded9
0
 
ded9Commented:
If still no go then you have to do repair installation(inplace installation) of windows 7.




Ded9
0
 
ded9Commented:
Also can install service pack 1 on windows 7 to fix the .net files that are are corrupted....if service pack 1 is not installed.



Ded9
0
 
calitechAuthor Commented:
What pack do I install for SP1 on windows 7 pro 32 bit? I left out the 64bit.
I am guessing FRE is for French?

7601.17514.101119-1850_Update_Sp_Wave1-GRMSP1.1_DVD.iso 1953.3MB
Windows_Win7SP1.7601.17514.101119-1850.X86CHK.Symbols.msi 294.5MB
Windows_Win7SP1.7601.17514.101119-1850.X86FRE.Symbols.msi 330.6MB
windows6.1-KB976932-X86.exe 537.8MB
0
 
ded9Commented:
You can just do windows updates from control panel and you will get the right service pack 1.

Also you can check system properties to find out whether service pack 1 is installed.


The right one if you have 32bit win7 windows6.1-KB976932-X86.exe ....others are symbols which is required by people who debug bsod.



Ded9
0
 
calitechAuthor Commented:
SP1 is already installed, so the windows update will not show I can install it. I was just going to reinstall it to see if it patches up .net 3.5.
0
 
ded9Commented:
You cannot install service pack 1 if its already installed. ..install .net framework 4.0 .

Can run verfier to check whether 3.5 is corrupted or not

http://blogs.msdn.com/cfs-file.ashx/__key/CommunityServer-Components-PostAttachments/00-08-99-90-04/netfx_5F00_setupverifier_5F00_new.zip 

But the final resolution will be install .net framework 4.0 ....post the results.



Ded9
0
 
calitechAuthor Commented:
no luck after installing .net 4
0
 
ded9Commented:
Did u check with verifier whether the .net is corrupted or not...also the last option would be inplace upgrade to resolve .net framework issue.


Ded9
0
 
David Johnson, CD, MVPOwnerCommented:
on my iis 7.0 i cannot select .net 3.5 only 2.0xxx, 4.xxx as well this is both on my windows 7 and Server 2008R2 so it is probably correct.
0
 
David Johnson, CD, MVPOwnerCommented:
on my iis 7.0 i cannot select .net 3.5 only 2.0xxx, 4.xxx as well this is both on my windows 7 and Server 2008R2 so it is probably correct.
0
 
calitechAuthor Commented:
repair install worked, took over an hr at one point.
0
 
NLT-sboeckerCommented:
Another way is to go to the windows features in add/remove programs and remove/add .net 3.5.1.  Just worked for me.
0

Featured Post

Independent Software Vendors: We Want Your Opinion

We value your feedback.

Take our survey and automatically be enter to win anyone of the following:
Yeti Cooler, Amazon eGift Card, and Movie eGift Card!

  • 6
  • 6
  • 3
  • +4
Tackle projects and never again get stuck behind a technical roadblock.
Join Now